#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2009
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# gibii.py
#
# Configuration de base de données mysql de gibii
#
###########################################################################
"""
    Config pour gibii
"""
from os.path import isdir
from eolesql.config import dico_creole
GIBII_TABLEFILENAMES = ["/usr/share/eole/mysql/gibii/gen/0_scribe-gibii.sql",
                        '/usr/share/eole/mysql/gibii/gen/1_scribe-gibii.sql']
def test():
    """
        test l'existence de la table gibii
    """
    return dico_creole.get('scribe_envole_gibii', 'non') == 'oui' and \
            not isdir("/var/lib/mysql/gibii53")

conf_dict = dict(filenames=GIBII_TABLEFILENAMES,
                 test=test)
